/*
 * Seahorse
 *
 * Copyright (C) 2002 Jacob Perkins
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __SEAHORSE_DELETE_H__
#define __SEAHORSE_DELETE_H__

/* SeahorseDelete is a MessageDialog for confirming key deletion */

#include <gtk/gtk.h>

#include "seahorse-context.h"

/* Loads delete confirmation dialog */
void	seahorse_delete_key_new		(GtkWindow		*parent,
					 SeahorseContext	*sctx,
					 SeahorseKey		*skey);

void	seahorse_delete_subkey_new	(GtkWindow		*parent,
					 SeahorseContext	*sctx,
					 SeahorseKey		*skey,
					 const guint		index);

#endif /* __SEAHORSE_DELETE_H__ */
